# SendQuizPoll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.polls / SendQuizPoll

# SendQuizPoll

(common) `data class SendQuizPoll : SendPoll, CaptionedOutput, ExplainedOutput` (source)

### Constructors

(common)

#### <init>

`SendQuizPoll(chatId: ChatIdentifier, question: String, options: List<String>, correctOptionId: Int, isAnonymous: Boolean = true, isClosed: Boolean = false, explanation: String? = null, parseMode: ParseMode? = null, closeInfo: ScheduledCloseInfo? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### closeInfo

`val closeInfo: ScheduledCloseInfo?`

(common)

#### correctOptionId

`val correctOptionId: Int`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### explanation

`val explanation: String?`

(common)

#### isAnonymous

`val isAnonymous: Boolean`

(common)

#### isClosed

`val isClosed: Boolean`

(common)

#### options

`val options: List<String>`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### question

`val question: String`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### type

`val type: String`